// $Id: CurrencyTradingAccount.java,v 1.6 2000/09/21 13:45:37 brucker Exp $

package unifreiburg.informatik.softech.ebank;
import unifreiburg.informatik.softech.ebank.test.*;
import java.util.*;

public class CurrencyTradingAccount extends BankAccount {

    // Attributes
    private  String tradingCurrency = "EUR";
    private  double price = 1.0;

    // Associations

    // Operations
    public CurrencyTradingAccount(int accountNumber) {
	super(accountNumber);
    }
    public CurrencyTradingAccount(int accountNumber, String Currency, double balance,
			 String tradingCurrency, double price) {
	super(accountNumber, Currency, balance);
	this.tradingCurrency = tradingCurrency;;
	this.price = price;
    }
    public boolean buy(double amount) {
        super.balance += price * amount;
        return true;
    }
    public boolean sell(double amount) {
        super.balance -= price * amount;
        return true;
    }
    public String getTradingCurrency() {
    	return tradingCurrency;
    }
    public double getBalance() {
        return super.balance/price;
    }
    public double getNormBalance() {
        return balance;
    }

}
