package unifreiburg.informatik.softech.ebank.test;
import java.util.*;
abstract class  TestSuite {
    // abstract classes
    abstract String getTestSuiteName();
    // implemented methods (service methods for every TestCase)
    void printTestSuiteName(){
	System.out.println("\n");
	System.out.println("  *********************");
    	System.out.println("  * Running test suite: " + getTestSuiteName());
	System.out.println("  *********************");
    }
    void printTestCaseName(String test){
	System.out.println("      Running test: " + test);
    }    
    void printTestSuiteSummary(int tests, int failed) {
	System.out.println("    Summary of test suite: " + getTestSuiteName());
	System.out.println("    **********************");
	System.out.println("    number of test cases: " + tests);
	System.out.println("    number of faults:     " + failed);
	System.out.print("    Overall test result: ");
        if(failed==0) {
	    System.out.println(" *** succsess ***");
	}else {
	    System.out.println(" *** FAILED ***");
	}
    }
}
