(*****************************************************************************
 *          HOL-OCL - a shallow embedding of OCL into Isabelle/HOL              
 *                                                                            
 * ROOT.ML - main "ROOT.ML" file for HOL-OCL
 * Copyright (C) 2001,2002,2003,2004 Achim D. Brucker <brucker@inf.ethz.ch>   
 *                                   Burkhart Wolff   <bwolff@inf.ethz.ch>    
 *                                                                            
 * This file is part of HOL-OCL.                                              
 *                                                                            
 * HOL-OCL is free software; you can redistribute it and/or modify it under   
 * the terms of the GNU General Public License as published by the Free       
 * Software Foundation; either version 2 of the License, or (at your option)  
 * any later version.                                                         
 *                                                                            
 * HOL-OCL is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details.                                                              
 *                                                                            
 * You should have received a copy of the GNU General Public License along    
 * with this program; if not, write to the Free Software Foundation, Inc.,    
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                  
 ******************************************************************************)

(* 
   val _ = Backend.Profile.setProfMode true;
   val _ = Backend.Profile.setTimingMode true;
*)

use "rep_holocl_term.sml";
use "rep_encoder_common.sml";
use "rep_encoder_level0.sml";
use "rep_encoder_level1.sml";
use "holocl_term.sml";
use "invariant_encoder.sml";
use "classic_invariant_encoder.sml";
use "rep_encoder_level2.sml";
use "rep_encoder.sml";
use "isar_import_setup.sml";
