(*****************************************************************************
 *          HOL-OCL - a shallow embedding of OCL in Isabelle/HOL              
 *                                                                            
 * test.thy - 
 * Copyright (C) 2004 Achim D. Brucker <brucker@inf.ethz.ch>   
 *                                                                            
 * This File is part of HOL-OCL.                                              
 *                                                                            
 * HOL-OCL is free software; you can redistribute it and/or modify it under   
 * the terms of the GNU General Public License as published by the Free       
 * Software Foundation; either version 2 of the License, or (at your option)  
 * any later version.                                                         
 *                                                                            
 * HOL-OCL is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details.                                                              
 *                                                                            
 * You should have received a copy of the GNU General Public License along    
 * with this program; if not, write to the Free Software Foundation, Inc.,    
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                  
 ******************************************************************************)


header {* Royals and Loyals *}


theory royals_and_loyals  = OCL:

ML {* val _ = writeInfoFile "/tmp/holoclinfo.txt" *}

ML {* invariant_encoder.transformations :=  ([]: (string * (Rep_Core.Classifier list 
                                                    -> Rep_Core.Classifier 
                                                    -> Rep_HolOclTerm.HolOclTerm 
                                                    -> Rep_HolOclTerm.HolOclTerm)) list)
    *}


text  {* \verbatiminput {/tmp/holoclinfo.txt} *}

text {*
\begin{figure}
\begin{center}
\rotatebox{90}{\includegraphics[scale=.5]{royals_and_loyals}}
\end{center}
\caption{Royals and Loyals Class Diagramm\label{fig:royals_cd}}
\end{figure}


%\begin{table}
\begin{small}
\lstinputlisting[style=ocl]{royals_and_loyals.ocl}
\end{small}
%\caption{OCL specification\label{tab:royalsloyals_ocl}}
%\end{table}


*}

ML {* val _ = (rep_encoder_common.log_level := 5); () *}
ML {* val _ = (quick_and_dirty := true ); () *}
load_xmi "royals_and_loyals_ocl.xmi"



end
